import { r as registerInstance, h } from './core-095fd691.js';
var BceHeader = /** @class */ (function () {
    function class_1(hostRef) {
        registerInstance(this, hostRef);
    }
    class_1.prototype.render = function () {
        return h("slot", null);
    };
    Object.defineProperty(class_1, "style", {
        get: function () { return "bce-header{--bce-color-l:var(--bce-color-primary-l);--bce-color-n:var(--bce-color-primary-n);--bce-color-d:var(--bce-color-primary-d);--bce-color-t:var(--bce-color-primary-t);z-index:4;-webkit-box-shadow:0 4px 5px 0 rgba(0,0,0,.14),0 1px 10px 0 rgba(0,0,0,.12),0 2px 4px -1px rgba(0,0,0,.4);box-shadow:0 4px 5px 0 rgba(0,0,0,.14),0 1px 10px 0 rgba(0,0,0,.12),0 2px 4px -1px rgba(0,0,0,.4);position:relative;display:block;height:56px;background-color:var(--bce-color-n);color:var(--bce-color-t)}"; },
        enumerable: true,
        configurable: true
    });
    return class_1;
}());
export { BceHeader as bce_header };
